Subject: Fujitsu FBM-U502GU-J Bubble Memory Drive

From: "Ken Seefried" <[email-masked]>
Date: Sat Mar 15 16:54:00 2003

I've got a pair of Fujitsu FBM-U502GU-J bubble memory drives, with 
associated FBM-C128GA cartridges.  I'd really be overjoyed if someone knew 
something about them and could share that info with me.  I've got more 
detailed info at http://seefried.com/kjs3/nerd/whatisit/fujitsu-bm.htm 

Thanks... 

Ken